﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Siticone.Desktop.UI.WinForms;

namespace LoginUI
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            new SiticoneShadowForm(this);
            new SiticoneDragControl(DragHeader);

            UsernameBox.TextChanged += UsernameBox_TextChanged;
            PasswordBox.TextChanged += PasswordBox_TextChanged;
        }

        private void PasswordBox_TextChanged(object sender, EventArgs e)
        {
            EnableButton();
        }

        private void UsernameBox_TextChanged(object sender, EventArgs e)
        {
            EnableButton();
        }

        private void EnableButton()
        {
            if (!string.IsNullOrWhiteSpace(UsernameBox.Text) && !string.IsNullOrWhiteSpace(PasswordBox.Text))
            {
                SigninButton.Enabled = true;
                return;
            }
            SigninButton.Enabled = false;
        }
    }
}
